> For the complete documentation index, see [llms.txt](https://docs.pinot.apache.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pinot.apache.org/release-1.4.0/functions/binary-functions.md).

# Binary Functions

[**SHA(bytesCol)**](/release-1.4.0/functions-1/sha.md)\
Return SHA-1 digest of binary column(`bytes` type) as hex string

[**SHA256(bytesCol)**](/release-1.4.0/functions-1/sha256.md)\
Return SHA-256 digest of binary column(`bytes` type) as hex string

[**SHA512(bytesCol)**](/release-1.4.0/functions-1/sha512.md)\
Return SHA-512 digest of binary column(`bytes` type) as hex string

[**MD5(bytesCol)**](/release-1.4.0/functions-1/md5.md)\
Return MD5 digest of binary column(`bytes` type) as hex string

[**toBase64(bytesCol)**](/release-1.4.0/functions-1/base64.md)\
Return the Base64-encoded string of binary column(`bytes` type)

[**fromUtf8(bytesCol)**](/release-1.4.0/functions-1/utf8.md)\
Return the UTF8-encoded string of binary column(`bytes` type)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/release-1.4.0/functions/binary-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
